import java.math.BigInteger;
import java.util.Map;

public class Add extends BinaryOperator {
  public Add (ExpressionTree left, ExpressionTree right)
  {super(left,right);}
  
	public BigInteger evaluate(Map variables)
	{return getLeft().evaluate(variables).add(getRight().evaluate(variables));}
	
	public String getOpSymbol()
	{return "+";}
}

