import java.math.BigInteger;
import java.util.Map;

public class Divide extends BinaryOperator {
  public Divide (ExpressionTree left, ExpressionTree right)
  {super(left,right);}
  
	public BigInteger evaluate(Map variables)
	{return getLeft().evaluate(variables).divide(getRight().evaluate(variables));}
	
	public String getOpSymbol()
	{return "/";}
}