import java.math.BigInteger;
import java.util.Map;

public class Variable extends ExpressionTree {
  public Variable (String name)
  {this.name = name;}
  
	public BigInteger evaluate(Map variables)	{
		BigInteger answer = (BigInteger)variables.get(name);
		if (answer == null)
			throw new IllegalArgumentException("evaluate: No value for variable " + name);
    return answer;
	}
	
	public String postfix()
	{return name+" ";}
	
	public String toString()
	{return name;}
	
	private String name;
}
